module FundRaise
  
module Fundable

  def add_funds(add_funding=25, pledge=false)
    @current_funding += add_funding
    if !pledge
      puts "#{@name} got more funds!"
    end
  end

  def remove_funds(remove_funding=15)
    @current_funding -= remove_funding
    puts "#{@name} lost some funds!"
  end

  def fully_funded?
    funding_left <= 0
  end

  def funding_left
    @target_funding - @current_funding
  end
  
end

end