require_relative 'die'
require_relative 'pledge_pool'

module FundRaise
  
module FundingRound
  
  def self.one_round(project)
    die_r = Die.new()
    number = die_r.number
    if number.odd?
      project.remove_funds
    else
      project.add_funds
    end
    project.pledge_received(PledgePool.random)
  end
  
end

end